package zrazumovskiy;

import java.util.*;

public class Utils
{
	public static double getStep(double firstPoint, double lastPoint, int numberOfPoints)
	{
		double step;
		step = (lastPoint - firstPoint) / numberOfPoints;
		return step;
	}	

	public static double getMaxLengthVector(double[][] Vx, double[][] Vy)
	{
		double maxLength = 0;
		int size = Vx[0].length;
		for(int i = 0; i < size; i++)
		{
			for(int j = 0; j < size; j++)
			{
				double currentVectorLength = Math.sqrt(Vx[i][j] * Vx[i][j] + Vy[i][j] * Vy[i][j]);
				if( currentVectorLength > maxLength )
					maxLength = currentVectorLength;
			}			
		}
		
		return maxLength;
	}

	public static void normalizeVectorField(double[][] Vx, double[][] Vy)
	{
		double maxLength = getMaxLengthVector(Vx, Vy);
		int size = Vx[0].length;
		if( maxLength == 0 )
			return;
	
		for(int i = 0; i < size; i++)
		{
			for(int j = 0; j < size; j++)
			{
				Vx[i][j] = Vx[i][j] / maxLength;
				Vy[i][j] = Vy[i][j] / maxLength;
			}			
		}
	}	

	public static double getScale(double diapason, int panelSize)
	{
		double koeff = panelSize / diapason;
		return koeff;		
	}

	public static ArrayList reverseArrayList(ArrayList arrList)
	{
		ArrayList tempList = new ArrayList();
		int length = arrList.size();
		for(int i = length - 1; i > -1; i--)
		{
			tempList.add(arrList.get(i));		
		}
		
		return tempList;
	}

}





